---
title: Create Store (Zoom)
description: The POST {{apiPath}}/v1/environments/{{envID}}/propagation/stores operation adds a new identity store resource to the specified environment resource.
component: pingone-api
page_id: pingone-api:platform:identity-propagation-provisioning/propagation-stores/create-store-zoom
canonical_url: https://developer.pingidentity.com/pingone-api/platform/identity-propagation-provisioning/propagation-stores/create-store-zoom.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Create Store (Zoom)

##

```none
POST {{apiPath}}/v1/environments/{{envID}}/propagation/stores
```

The `POST {{apiPath}}/v1/environments/{{envID}}/propagation/stores` operation adds a new identity store resource to the specified environment resource.

### Prerequisites

* Refer to [Identity Propagation (Provisioning)](../../identity-propagation-provisioning.html) for important overview information.

> **Collapse: Request Model**
>
> Refer to [Propagation store base data model](../propagation-stores.html#propagation-store-base-data-model) and [Propagation store Zoom configuration data model](../propagation-stores.html#propagation-store-zoom-configuration-data-model) for full property descriptions.
>
> | Property                                | Type    | Required?         |
> | --------------------------------------- | ------- | ----------------- |
> | `configuration.API_KEY` (deprecated)    | String  | Required/Optional |
> | `configuration.API_SECRET` (deprecated) | String  | Required/Optional |
> | `configuration.AUTHENTICATION_METHOD`   | String  | Optional          |
> | `configuration.CREATE_USERS`            | Boolean | Optional          |
> | `configuration.DEPROVISION_USERS`       | Boolean | Optional          |
> | `configuration.DISABLE_USERS`           | Boolean | Optional          |
> | `configuration.OAUTH_ACCOUNT_ID`        | String  | Required/Optional |
> | `configuration.OAUTH_CLIENT_ID`         | String  | Required/Optional |
> | `configuration.OAUTH_CLIENT_SECRET`     | String  | Required/Optional |
> | `configuration.OAUTH_TOKEN_URL`         | String  | Required/Optional |
> | `configuration.REMOVE_ACTION`           | String  | Optional          |
> | `configuration.SCIM_URL`                | String  | Required          |
> | `configuration.UPDATE_USERS`            | Boolean | Optional          |
> | `description`                           | String  | Optional          |
> | `image.href`                            | String  | Optional          |
> | `managed`                               | Boolean | Optional          |
> | `name`                                  | String  | Required          |
> | `status`                                | String  | Optional          |
> | `type`                                  | String  | Required          |

This operation sends and returns the connection properties for an identity store with `"type":"Zoom"`. For information on the available and required keys in the `configuration` object of the request body, review `connectionProfiles[].connectionAttributes[]` and `attributeMetadata.capabilities[]` in the response to [POST Identity Propagation Store Metadata (Zoom)](../propagation-store-metadata/identity-propagation-store-metadata-zoom.html).

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
    "type": "Zoom",
    "name": "zoom connection",
    "status": "ACTIVE",
    "configuration": {
        "AUTHENTICATION_METHOD": "OAuth Bearer Token",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DEPROVISION_USERS": true,
        "DISABLE_USERS": true,
        "SCIM_URL": "https://api.zoom.us/scim2",
        "OAUTH_TOKEN_URL" : "https://zoom.us/oauth/token",
        "OAUTH_ACCOUNT_ID" : "{{oauthAccountId}}",
        "OAUTH_CLIENT_ID" : "{{oauthClientId}}",
        "OAUTH_CLIENT_SECRET" : "{{oauthClientSecret}}",
        "REMOVE_ACTION": "Delete"
    },
    "managed": true
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/propagation/stores' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "type": "Zoom",
    "name": "zoom connection",
    "status": "ACTIVE",
    "configuration": {
        "AUTHENTICATION_METHOD": "OAuth Bearer Token",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DEPROVISION_USERS": true,
        "DISABLE_USERS": true,
        "SCIM_URL": "https://api.zoom.us/scim2",
        "OAUTH_TOKEN_URL" : "https://zoom.us/oauth/token",
        "OAUTH_ACCOUNT_ID" : "{{oauthAccountId}}",
        "OAUTH_CLIENT_ID" : "{{oauthClientId}}",
        "OAUTH_CLIENT_SECRET" : "{{oauthClientSecret}}",
        "REMOVE_ACTION": "Delete"
    },
    "managed": true
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/propagation/stores")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""type"": ""Zoom""," + "\n" +
@"    ""name"": ""zoom connection""," + "\n" +
@"    ""status"": ""ACTIVE""," + "\n" +
@"    ""configuration"": {" + "\n" +
@"        ""AUTHENTICATION_METHOD"": ""OAuth Bearer Token""," + "\n" +
@"        ""CREATE_USERS"": true," + "\n" +
@"        ""UPDATE_USERS"": true," + "\n" +
@"        ""DEPROVISION_USERS"": true," + "\n" +
@"        ""DISABLE_USERS"": true," + "\n" +
@"        ""SCIM_URL"": ""https://api.zoom.us/scim2""," + "\n" +
@"        ""OAUTH_TOKEN_URL"" : ""https://zoom.us/oauth/token""," + "\n" +
@"        ""OAUTH_ACCOUNT_ID"" : ""{{oauthAccountId}}""," + "\n" +
@"        ""OAUTH_CLIENT_ID"" : ""{{oauthClientId}}""," + "\n" +
@"        ""OAUTH_CLIENT_SECRET"" : ""{{oauthClientSecret}}""," + "\n" +
@"        ""REMOVE_ACTION"": ""Delete""" + "\n" +
@"    }," + "\n" +
@"    ""managed"": true" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/propagation/stores"
  method := "POST"

  payload := strings.NewReader(`{
    "type": "Zoom",
    "name": "zoom connection",
    "status": "ACTIVE",
    "configuration": {
        "AUTHENTICATION_METHOD": "OAuth Bearer Token",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DEPROVISION_USERS": true,
        "DISABLE_USERS": true,
        "SCIM_URL": "https://api.zoom.us/scim2",
        "OAUTH_TOKEN_URL" : "https://zoom.us/oauth/token",
        "OAUTH_ACCOUNT_ID" : "{{oauthAccountId}}",
        "OAUTH_CLIENT_ID" : "{{oauthClientId}}",
        "OAUTH_CLIENT_SECRET" : "{{oauthClientSecret}}",
        "REMOVE_ACTION": "Delete"
    },
    "managed": true
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
POST /v1/environments/{{envID}}/propagation/stores HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
    "type": "Zoom",
    "name": "zoom connection",
    "status": "ACTIVE",
    "configuration": {
        "AUTHENTICATION_METHOD": "OAuth Bearer Token",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DEPROVISION_USERS": true,
        "DISABLE_USERS": true,
        "SCIM_URL": "https://api.zoom.us/scim2",
        "OAUTH_TOKEN_URL" : "https://zoom.us/oauth/token",
        "OAUTH_ACCOUNT_ID" : "{{oauthAccountId}}",
        "OAUTH_CLIENT_ID" : "{{oauthClientId}}",
        "OAUTH_CLIENT_SECRET" : "{{oauthClientSecret}}",
        "REMOVE_ACTION": "Delete"
    },
    "managed": true
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"type\": \"Zoom\",\n    \"name\": \"zoom connection\",\n    \"status\": \"ACTIVE\",\n    \"configuration\": {\n        \"AUTHENTICATION_METHOD\": \"OAuth Bearer Token\",\n        \"CREATE_USERS\": true,\n        \"UPDATE_USERS\": true,\n        \"DEPROVISION_USERS\": true,\n        \"DISABLE_USERS\": true,\n        \"SCIM_URL\": \"https://api.zoom.us/scim2\",\n        \"OAUTH_TOKEN_URL\" : \"https://zoom.us/oauth/token\",\n        \"OAUTH_ACCOUNT_ID\" : \"{{oauthAccountId}}\",\n        \"OAUTH_CLIENT_ID\" : \"{{oauthClientId}}\",\n        \"OAUTH_CLIENT_SECRET\" : \"{{oauthClientSecret}}\",\n        \"REMOVE_ACTION\": \"Delete\"\n    },\n    \"managed\": true\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/propagation/stores")
  .method("POST", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/propagation/stores",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "type": "Zoom",
    "name": "zoom connection",
    "status": "ACTIVE",
    "configuration": {
      "AUTHENTICATION_METHOD": "OAuth Bearer Token",
      "CREATE_USERS": true,
      "UPDATE_USERS": true,
      "DEPROVISION_USERS": true,
      "DISABLE_USERS": true,
      "SCIM_URL": "https://api.zoom.us/scim2",
      "OAUTH_TOKEN_URL": "https://zoom.us/oauth/token",
      "OAUTH_ACCOUNT_ID": "{{oauthAccountId}}",
      "OAUTH_CLIENT_ID": "{{oauthClientId}}",
      "OAUTH_CLIENT_SECRET": "{{oauthClientSecret}}",
      "REMOVE_ACTION": "Delete"
    },
    "managed": true
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{apiPath}}/v1/environments/{{envID}}/propagation/stores',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "type": "Zoom",
    "name": "zoom connection",
    "status": "ACTIVE",
    "configuration": {
      "AUTHENTICATION_METHOD": "OAuth Bearer Token",
      "CREATE_USERS": true,
      "UPDATE_USERS": true,
      "DEPROVISION_USERS": true,
      "DISABLE_USERS": true,
      "SCIM_URL": "https://api.zoom.us/scim2",
      "OAUTH_TOKEN_URL": "https://zoom.us/oauth/token",
      "OAUTH_ACCOUNT_ID": "{{oauthAccountId}}",
      "OAUTH_CLIENT_ID": "{{oauthClientId}}",
      "OAUTH_CLIENT_SECRET": "{{oauthClientSecret}}",
      "REMOVE_ACTION": "Delete"
    },
    "managed": true
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/propagation/stores"

payload = json.dumps({
  "type": "Zoom",
  "name": "zoom connection",
  "status": "ACTIVE",
  "configuration": {
    "AUTHENTICATION_METHOD": "OAuth Bearer Token",
    "CREATE_USERS": True,
    "UPDATE_USERS": True,
    "DEPROVISION_USERS": True,
    "DISABLE_USERS": True,
    "SCIM_URL": "https://api.zoom.us/scim2",
    "OAUTH_TOKEN_URL": "https://zoom.us/oauth/token",
    "OAUTH_ACCOUNT_ID": "{{oauthAccountId}}",
    "OAUTH_CLIENT_ID": "{{oauthClientId}}",
    "OAUTH_CLIENT_SECRET": "{{oauthClientSecret}}",
    "REMOVE_ACTION": "Delete"
  },
  "managed": True
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/propagation/stores');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "type": "Zoom",\n    "name": "zoom connection",\n    "status": "ACTIVE",\n    "configuration": {\n        "AUTHENTICATION_METHOD": "OAuth Bearer Token",\n        "CREATE_USERS": true,\n        "UPDATE_USERS": true,\n        "DEPROVISION_USERS": true,\n        "DISABLE_USERS": true,\n        "SCIM_URL": "https://api.zoom.us/scim2",\n        "OAUTH_TOKEN_URL" : "https://zoom.us/oauth/token",\n        "OAUTH_ACCOUNT_ID" : "{{oauthAccountId}}",\n        "OAUTH_CLIENT_ID" : "{{oauthClientId}}",\n        "OAUTH_CLIENT_SECRET" : "{{oauthClientSecret}}",\n        "REMOVE_ACTION": "Delete"\n    },\n    "managed": true\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/propagation/stores")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "type": "Zoom",
  "name": "zoom connection",
  "status": "ACTIVE",
  "configuration": {
    "AUTHENTICATION_METHOD": "OAuth Bearer Token",
    "CREATE_USERS": true,
    "UPDATE_USERS": true,
    "DEPROVISION_USERS": true,
    "DISABLE_USERS": true,
    "SCIM_URL": "https://api.zoom.us/scim2",
    "OAUTH_TOKEN_URL": "https://zoom.us/oauth/token",
    "OAUTH_ACCOUNT_ID": "{{oauthAccountId}}",
    "OAUTH_CLIENT_ID": "{{oauthClientId}}",
    "OAUTH_CLIENT_SECRET": "{{oauthClientSecret}}",
    "REMOVE_ACTION": "Delete"
  },
  "managed": true
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"type\": \"Zoom\",\n    \"name\": \"zoom connection\",\n    \"status\": \"ACTIVE\",\n    \"configuration\": {\n        \"AUTHENTICATION_METHOD\": \"OAuth Bearer Token\",\n        \"CREATE_USERS\": true,\n        \"UPDATE_USERS\": true,\n        \"DEPROVISION_USERS\": true,\n        \"DISABLE_USERS\": true,\n        \"SCIM_URL\": \"https://api.zoom.us/scim2\",\n        \"OAUTH_TOKEN_URL\" : \"https://zoom.us/oauth/token\",\n        \"OAUTH_ACCOUNT_ID\" : \"{{oauthAccountId}}\",\n        \"OAUTH_CLIENT_ID\" : \"{{oauthClientId}}\",\n        \"OAUTH_CLIENT_SECRET\" : \"{{oauthClientSecret}}\",\n        \"REMOVE_ACTION\": \"Delete\"\n    },\n    \"managed\": true\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/propagation/stores")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "POST"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

201 Created

```json
{
    "id": "da166d8e-eaa7-4251-8480-85448e095bc3",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "createdAt": "2023-12-05T17:38:42.947Z",
    "updatedAt": "2023-12-05T17:38:42.947Z",
    "image": {},
    "type": "Zoom",
    "status": "ACTIVE",
    "configuration": {
        "AUTHENTICATION_METHOD": "OAuth Bearer Token",
        "CREATE_USERS": true,
        "UPDATE_USERS": true,
        "DEPROVISION_USERS": true,
        "DISABLE_USERS": true,
        "SCIM_URL": "https://api.zoom.us/scim2",
        "OAUTH_TOKEN_URL": "https://zoom.us/oauth/token",
        "OAUTH_ACCOUNT_ID": "OAUTH_ACCOUNT_ID",
        "OAUTH_CLIENT_ID": "OAUTH_CLIENT_ID",
        "OAUTH_CLIENT_SECRET": "OAUTH_CLIENT_SECRET",
        "REMOVE_ACTION": "Delete"
    },
    "name": "zoom connection",
    "managed": true,
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/propagation/stores/da166d8e-eaa7-4251-8480-85448e095bc3"
        },
        "update": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/propagation/stores/da166d8e-eaa7-4251-8480-85448e095bc3"
        },
        "delete": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/propagation/stores/da166d8e-eaa7-4251-8480-85448e095bc3"
        }
    }
}
```
